#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
void main()
{
    vec4 color = v_color*texture2D(u_texture, v_texCoords);
    color.xyz = vec3(0.2126*color.r + 0.7152*color.g + 0.0722*color.b);
    gl_FragColor = color;
}